org.hibernate.search.elasticsearch.dialect.impl.es52

## Class Elasticsearch52Dialect

- java.lang.Object
- - org.hibernate.search.elasticsearch.dialect.impl.es50.Elasticsearch50Dialect
  - - org.hibernate.search.elasticsearch.dialect.impl.es52.Elasticsearch52Dialect

- All Implemented Interfaces:
    ElasticsearchDialect

      public class Elasticsearch52Dialect
      extends Elasticsearch50Dialect

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch52Dialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchAnalyzerStrategyFactory` | `createAnalyzerStrategyFactory(ServiceManager serviceManager)`
    `ElasticsearchSchemaTranslator` | `createSchemaTranslator()`
    `ElasticsearchSchemaValidator` | `createSchemaValidator(ElasticsearchSchemaAccessor schemaAccessor)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.dialect.impl.es50.Elasticsearch50Dialect

      `createGsonBuilderBase, createQueryFactory, createWorkFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elasticsearch52Dialect

          public Elasticsearch52Dialect()

  - ### Method Detail

    - #### createSchemaTranslator

          public ElasticsearchSchemaTranslator createSchemaTranslator()

      Specified by:
        `createSchemaTranslator` in interface `ElasticsearchDialect`
      Overrides:
        `createSchemaTranslator` in class `Elasticsearch50Dialect`

    - #### createSchemaValidator

          public ElasticsearchSchemaValidator createSchemaValidator(ElasticsearchSchemaAccessor schemaAccessor)

      Specified by:
        `createSchemaValidator` in interface `ElasticsearchDialect`
      Overrides:
        `createSchemaValidator` in class `Elasticsearch50Dialect`

    - #### createAnalyzerStrategyFactory

          public ElasticsearchAnalyzerStrategyFactory createAnalyzerStrategyFactory(ServiceManager serviceManager)

      Specified by:
        `createAnalyzerStrategyFactory` in interface `ElasticsearchDialect`
      Overrides:
        `createAnalyzerStrategyFactory` in class `Elasticsearch50Dialect`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved